Runtime

## org.eclipse.gmf.runtime.diagram.ui.actions
Class BooleanPropertyAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler
                      org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction
                          org.eclipse.gmf.runtime.diagram.ui.internal.actions.PropertyChangeAction
                              org.eclipse.gmf.runtime.diagram.ui.actions.CheckedPropertyAction
                                  org.eclipse.gmf.runtime.diagram.ui.actions.BooleanPropertyAction

All Implemented Interfaces:
  Disposable, IAction, IActionWithProgress, IDisposableAction, IOperationHistoryListener, IPropertyListener, ISelectionChangedListener

Direct Known Subclasses:
  IndividualCompartmentAction, IndividualConnectionLabelAction

public class BooleanPropertyAction
extends CheckedPropertyAction

A base action representing those that are responsible to setting boolean valued properties

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress
`IActionWithProgress.WorkIndicatorType`

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`protected` `BooleanPropertyAction(IWorkbenchPage workbenchPage, java.lang.String propertyId, java.lang.String propertyName)`

Method Summary
`protected java.lang.Object` `getNewPropertyValue()` Returns the new property value.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.actions.CheckedPropertyAction
`calculateChecked, getStyle, isOperationHistoryListener, refresh`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.internal.actions.PropertyChangeAction
`createTargetRequest, getOperationSetPropertyValue, getPropertyId, getPropertyName, getPropertyValue, isSelectionListener, setPropertyId, setPropertyName, updateTargetRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction
`calculateEnabled, clearTargetRequest, createOperationSet, dispose, doRun, execute, filterEditPartsMatching, getCommand, getCommand, getCommandLabel, getDiagramCommandStack, getDiagramEditDomain, getDiagramEditPart, getDiagramGraphicalViewer, getDiagramWorkbenchPart, getOperationSet, getPreferencesHint, getSelectedObjects, getTargetEditParts, getTargetRequest, setTargetRequest`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler

`contributedToPart, getActionManager, getLabel, getOperationHistory, getPartListener, getSelection, getStructuredSelection, getUndoContext, getWorkbenchPage, getWorkbenchPart, getWorkIndicatorType, handle, historyNotification, init, isDisposed, isPropertyListener, isRunnable, isSetup, needsSetup, openErrorDialog, propertyChanged, run, run, runWithEvent, selectionChanged, setDisposed, setPartSelector, setSetup, setup, setWorkbenchPart`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### BooleanPropertyAction

    protected BooleanPropertyAction(IWorkbenchPage workbenchPage,
                                    java.lang.String propertyId,
                                    java.lang.String propertyName)

Parameters:
  `workbenchPage` - The workbench page
  `propertyName` - The property name
  `propertyId` - The property id

Method Detail

### getNewPropertyValue

    protected java.lang.Object getNewPropertyValue()

  Returns the new property value. The default implementation assumes a `Boolean` property If different, subclasses must override this method

  Overrides:
    `getNewPropertyValue` in class `CheckedPropertyAction`
  See Also:
    `PropertyChangeAction.getNewPropertyValue()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.